#include <bits/stdc++.h>

using namespace std;

int findSols(int k, int mid)
{
    int br = 0;

    for (int i = 1; i <= mid && k / i >= mid && i * i <= k; i++)
    {
        if (k % i == 0)
        {
            br++;
        }
    }

    return br;
}

int main()
{
    int n;
    int ans = 0;

    cin >> n;

    for (int i = 1; i * i <= n; i++)
    {
        int k = n / i;

        if (k * i == n)
        {
            ans += findSols(k, i);
        }
    }

    cout << ans << endl;

    return 0;
}
